Unit tmne1e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FCMNE1E_p, FSMNE1E_p, MNE1E_p;

function tmne1e: String;

implementation

function tmne1e: String;
var
_i,IERR :Integer;
F :Extended;
G :Array [0..1] of Extended;
RM :Array [0..3] of Extended;
const
FE :Extended = 1.0e-7;
XE :Array [0..1] of Extended = ( 1.e-8,1.e-8 );
GE :Array [0..1] of Extended = ( 1.e-3,1.e-3 );
UP :Array [0..8] of Real = ( 5.0,0.7,0.3,500.0,600.0,0.0,0.0,10.0,1.0 );
I0 :Array [0..1] of Integer = ( 1,1 );
N :Integer = 2;
X :Array [0..1] of Extended = ( -3.0e0,1.0e0 );
begin
Result := '';  {   }
MNE1E(F,FE,FCMNE1E,G,GE,IERR,I0,N,RM,FSMNE1E,UP,X,XE);
Result := Result + Format('%s',['  X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  F=']);
Result := Result + Format('%20.16f ',[F]);
Result := Result + Format('%s',['  G=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[G[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  IERR=']);
Result := Result + Format('%5d ',[IERR]);
Result := Result + Format('%s',['BPEM CETA=']);
Result := Result + Format('%20.16f ',[UP[4]]) + #$0D#$0A;
UtRes('tmne1e',Result);  {     tmne1e.res }
exit;
end;

end.
